> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List jobs

> List jobs

### Path parameters

<ParamField path="id" type="string" required>
  Print station ID
</ParamField>

### Query parameters

<ParamField query="status" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="JobResponse[]" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/print-stations/{id}/jobs' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  [
    {
      "created_at": "string",
      "id": "string",
      "payload": "string",
      "payload_kind": "string",
      "printer_name": null,
      "station_id": "string",
      "status": "string"
    }
  ]
  ```
</ResponseExample>
